# Generated by Django 3.1.7 on 2021-03-14 11:24

import datetime
from django.db import migrations, models
import django.db.models.deletion


def delete_default_journey(apps, schema_editor):
    Journey = apps.get_model('id_trust', 'Journey')
    Journey.objects.filter(id=1).delete()


def create_default_journey(apps, schema_editor):
    Journey = apps.get_model('id_trust', 'Journey')
    journey = Journey(id=1, start_time=datetime.datetime(
        1970, 1, 1, 0, 0, tzinfo=datetime.timezone.utc
    ))
    journey.save()


class Migration(migrations.Migration):

    dependencies = [
        ('id_trust', '0005_auto_20210228_1729'),
    ]

    operations = [
        migrations.CreateModel(
            name='Journey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.RunPython(create_default_journey, delete_default_journey),
        migrations.AddField(
            model_name='dialog',
            name='journey',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='id_trust.journey'),
            preserve_default=False,
        ),
    ]
